Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.ast
[Groovy] Class TransformTestHelper

    java.lang.Object
      org.codehaus.groovy.tools.ast.TransformTestHelper

    class TransformTestHelper
    extends java.lang.Object

Constructor Summary
`TransformTestHelper(ASTTransformation transform, CompilePhase phase)` Creates the test helper.

Method Summary
`java.lang.Class` | `parse(java.io.File input)` Compiles the File into a Class applying the transform specified in the constructor.
`java.lang.Class` | `parse(java.lang.String input)` Compiles the String into a Class applying the transform specified in the constructor.

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### TransformTestHelper

    TransformTestHelper(ASTTransformation transform, CompilePhase phase)

  Creates the test helper.
  Parameters:
    `transform` - the transform to run when compiling the file later
    `phase` - the phase to run the transform in

Method Detail

### parse

    java.lang.Class parse(java.io.File input)

  Compiles the File into a Class applying the transform specified in the constructor.
  input:
    input must be a groovy source file

### parse

    java.lang.Class parse(java.lang.String input)

  Compiles the String into a Class applying the transform specified in the constructor.
  input:
    input must be a valid groovy source string

Groovy Documentation